--- old/usr/src/uts/sun4u/sunfire/Makefile.sunfire.shared	2013-11-10 09:06:23.951429944 -0500
+++ /dev/null	2013-11-10 09:00:48.000000000 -0500
@@ -1,83 +0,0 @@
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-
-#
-# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-#	Global definitions for sun4u implementation specific modules.
-#
-
-#
-#	Define the name of this implementation.
-#
-
-#
-#	Define directories.
-#
-ROOT_SUNFIRE_DIR	= $(ROOT_PLAT_DIR)/SUNW,Ultra-Enterprise
-ROOT_SUNFIRE_MOD_DIR	= $(ROOT_SUNFIRE_DIR)/kernel
-
-ROOT_SUNFIRE_DRV_DIR_32	= $(ROOT_SUNFIRE_MOD_DIR)/drv
-ROOT_SUNFIRE_DRV_DIR_64	= $(ROOT_SUNFIRE_MOD_DIR)/drv/$(SUBDIR64)
-ROOT_SUNFIRE_DRV_DIR	= $(ROOT_SUNFIRE_DRV_DIR_$(CLASS))
-ROOT_PLAT_DRV_DIRS	= $(ROOT_SUNFIRE_DRV_DIR)
-
-ROOT_SUNFIRE_MISC_DIR_32	= $(ROOT_SUNFIRE_MOD_DIR)/misc
-ROOT_SUNFIRE_MISC_DIR_64	= $(ROOT_SUNFIRE_MOD_DIR)/misc/$(SUBDIR64)
-ROOT_SUNFIRE_MISC_DIR	= $(ROOT_SUNFIRE_MISC_DIR_$(CLASS))
-
-USR_SUNFIRE_DIR		= $(USR_PLAT_DIR)/SUNW,Ultra-Enterprise
-USR_SUNFIRE_INC_DIR	= $(USR_SUNFIRE_DIR)/include
-USR_SUNFIRE_ISYS_DIR	= $(USR_SUNFIRE_INC_DIR)/sys
-USR_SUNFIRE_SBIN_DIR	= $(USR_SUNFIRE_DIR)/sbin
-USR_SUNFIRE_LIB_DIR	= $(USR_SUNFIRE_DIR)/lib
-
-SUNFIRE_LINT_LIB_DIR= $(UTSBASE)/$(PLATFORM)/sunfire/lint-libs/$(OBJS_DIR)
-
-#
-# Define objects.
-#
-SUNFIRE_OBJS	= sunfire.o
-
-include $(UTSTREE)/sun4u/sunfire/Makefile.files
-
-#
-#	Include common rules.
-#
-include $(UTSTREE)/sun4u/Makefile.sun4u
-
-#
-#	Define modules (must come after Makefile.sun4u).
-#
-SUNFIRE_KMODS			= ac central environ fhc simmstat sysctrl sram
-
-#
-# For now, disable these lint checks; maintainers should endeavor
-# to investigate and remove these for maximum lint coverage.
-# Please do not carry these forward to new Makefiles.
-#
-LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
-LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
-LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
-LINTTAGS	+= -erroff=E_STATIC_UNUSED
-LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
-LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
--- /dev/null	2013-11-10 09:00:48.000000000 -0500
+++ new/usr/src/uts/sun4u/sunfire/Makefile.sunfire	2013-11-10 09:06:23.956977971 -0500
@@ -0,0 +1,83 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+#	Global definitions for sun4u implementation specific modules.
+#
+
+#
+#	Define the name of this implementation.
+#
+
+#
+#	Define directories.
+#
+ROOT_SUNFIRE_DIR	= $(ROOT_PLAT_DIR)/SUNW,Ultra-Enterprise
+ROOT_SUNFIRE_MOD_DIR	= $(ROOT_SUNFIRE_DIR)/kernel
+
+ROOT_SUNFIRE_DRV_DIR_32	= $(ROOT_SUNFIRE_MOD_DIR)/drv
+ROOT_SUNFIRE_DRV_DIR_64	= $(ROOT_SUNFIRE_MOD_DIR)/drv/$(SUBDIR64)
+ROOT_SUNFIRE_DRV_DIR	= $(ROOT_SUNFIRE_DRV_DIR_$(CLASS))
+ROOT_PLAT_DRV_DIRS	= $(ROOT_SUNFIRE_DRV_DIR)
+
+ROOT_SUNFIRE_MISC_DIR_32	= $(ROOT_SUNFIRE_MOD_DIR)/misc
+ROOT_SUNFIRE_MISC_DIR_64	= $(ROOT_SUNFIRE_MOD_DIR)/misc/$(SUBDIR64)
+ROOT_SUNFIRE_MISC_DIR	= $(ROOT_SUNFIRE_MISC_DIR_$(CLASS))
+
+USR_SUNFIRE_DIR		= $(USR_PLAT_DIR)/SUNW,Ultra-Enterprise
+USR_SUNFIRE_INC_DIR	= $(USR_SUNFIRE_DIR)/include
+USR_SUNFIRE_ISYS_DIR	= $(USR_SUNFIRE_INC_DIR)/sys
+USR_SUNFIRE_SBIN_DIR	= $(USR_SUNFIRE_DIR)/sbin
+USR_SUNFIRE_LIB_DIR	= $(USR_SUNFIRE_DIR)/lib
+
+SUNFIRE_LINT_LIB_DIR= $(UTSBASE)/$(PLATFORM)/sunfire/lint-libs/$(OBJS_DIR)
+
+#
+# Define objects.
+#
+SUNFIRE_OBJS	= sunfire.o
+
+include $(UTSBASE)/sun4u/sunfire/Makefile.files
+
+#
+#	Include common rules.
+#
+include $(UTSBASE)/sun4u/Makefile.sun4u
+
+#
+#	Define modules (must come after Makefile.sun4u).
+#
+SUNFIRE_KMODS			= ac central environ fhc simmstat sysctrl sram
+
+#
+# For now, disable these lint checks; maintainers should endeavor
+# to investigate and remove these for maximum lint coverage.
+# Please do not carry these forward to new Makefiles.
+#
+LINTTAGS	+= -erroff=E_SUSPICIOUS_COMPARISON
+LINTTAGS	+= -erroff=E_BAD_PTR_CAST_ALIGN
+LINTTAGS	+= -erroff=E_SUPPRESSION_DIRECTIVE_UNUSED
+LINTTAGS	+= -erroff=E_STATIC_UNUSED
+LINTTAGS	+= -erroff=E_PTRDIFF_OVERFLOW
+LINTTAGS	+= -erroff=E_ASSIGN_NARROW_CONV
